function init(hero) {
    hero.setName("Mystique");	
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
	hero.addAbilities("fiskheroes:shape_shifting","fiskheroes:steel_transformation", "fiskheroes:enhanced_reflexes","fiskheroes:retractable_shield", "fiskheroes:healing_factor");
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
	hero.addAttribute("ATTACK_DAMAGE", 0.4, 1);
	
	
    hero.addKeyBind("SHAPE_SHIFT", "key.shapeShift", 1);
    hero.addKeyBind("SHAPE_SHIFT_RESET", "key.shapeShiftReset", 2);
 hero.addKeyBind("STEEL_TRANSFORM", "key.steelTransform", 3);
   hero.addKeyBind("SHIELD", "key.shield", 4);
   
   	 
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
    
    
    hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
    
    hero.setDefaultScale(1.0);
    hero.setHasProperty(hasProperty);
}


function shieldProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 0.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}